> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start SAML2 SSO login

> Starts a SAML2 SSO login by forwarding the request to Backend API v2.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml post /v2/sso/saml2/start
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/sso/saml2/start:
    post:
      tags:
        - Auth
      summary: Start SAML2 SSO login
      description: Starts a SAML2 SSO login by forwarding the request to Backend API v2.
      operationId: SsoSaml2Start
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ssoSaml2StartReq'
      responses:
        '200':
          description: Contains the IdP redirect URL and relay state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ssoSaml2StartRsp'
components:
  schemas:
    ssoSaml2StartReq:
      type: object
      required:
        - email
      properties:
        email:
          type: string
        invitationToken:
          type: string
    ssoSaml2StartRsp:
      type: object
      required:
        - idpRedirectURL
      properties:
        idpRedirectURL:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````